yetus-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a.@apache.org
Subject yetus git commit: YETUS-193. Wrong format for return values in shelldoc generated docs
Date Sat, 21 Nov 2015 20:44:39 GMT
Repository: yetus
Updated Branches:
  refs/heads/master 90e57f2cb -> 9c384b513


YETUS-193. Wrong format for return values in shelldoc generated docs

Signed-off-by: Allen Wittenauer <aw@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/yetus/repo
Commit: http://git-wip-us.apache.org/repos/asf/yetus/commit/9c384b51
Tree: http://git-wip-us.apache.org/repos/asf/yetus/tree/9c384b51
Diff: http://git-wip-us.apache.org/repos/asf/yetus/diff/9c384b51

Branch: refs/heads/master
Commit: 9c384b5131807dcaf2f630c88ac42d2957d90934
Parents: 90e57f2
Author: Kengo Seki <sekikn@gmail.com>
Authored: Sat Nov 21 00:24:54 2015 +0900
Committer: Allen Wittenauer <aw@apache.org>
Committed: Sat Nov 21 12:43:58 2015 -0800

----------------------------------------------------------------------
 precommit/core.d/00-yetuslib.sh    | 10 +++++-----
 precommit/core.d/01-common.sh      |  2 +-
 precommit/core.d/docker.sh         |  6 +++---
 precommit/core.d/patchfiles.sh     |  2 +-
 precommit/smart-apply-patch.sh     |  2 +-
 precommit/test-patch.d/bugzilla.sh |  4 ++--
 precommit/test-patch.d/github.sh   |  6 +++---
 precommit/test-patch.d/jira.sh     |  6 +++---
 precommit/test-patch.sh            | 32 ++++++++++++++++----------------
 9 files changed, 35 insertions(+), 35 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/core.d/00-yetuslib.sh
----------------------------------------------------------------------
diff --git a/precommit/core.d/00-yetuslib.sh b/precommit/core.d/00-yetuslib.sh
index 273be72..c3f4eaf 100755
--- a/precommit/core.d/00-yetuslib.sh
+++ b/precommit/core.d/00-yetuslib.sh
@@ -65,7 +65,7 @@ function yetus_add_entry
 ## @audience     public
 ## @stability    stable
 ## @replaceable  no
-## @returns      1 = yes, 0 = no
+## @return       1 = yes, 0 = no
 function yetus_verify_entry
 {
   [[ ! ${!1} =~ \ ${2}\  ]]
@@ -78,7 +78,7 @@ function yetus_verify_entry
 ## @param        command
 ## @param        [..]
 ## @replaceable  no
-## @returns      $?
+## @return       $?
 function yetus_run_and_redirect
 {
   declare logfile=$1
@@ -99,9 +99,9 @@ function yetus_run_and_redirect
 ## @stability    stable
 ## @param        directory
 ## @replaceable  no
-## @returns      0 success
-## @returns      1 failure
-## @returns      stdout abspath
+## @return       0 success
+## @return       1 failure
+## @return       stdout abspath
 function yetus_abs
 {
   declare obj=$1

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/core.d/01-common.sh
----------------------------------------------------------------------
diff --git a/precommit/core.d/01-common.sh b/precommit/core.d/01-common.sh
index 75b01be..9e650a6 100755
--- a/precommit/core.d/01-common.sh
+++ b/precommit/core.d/01-common.sh
@@ -87,7 +87,7 @@ function common_defaults
 ## @audience     private
 ## @stability    stable
 ## @replaceable  no
-## @params       $@
+## @param        $@
 ## @return       May exit on failure
 function common_args
 {

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/core.d/docker.sh
----------------------------------------------------------------------
diff --git a/precommit/core.d/docker.sh b/precommit/core.d/docker.sh
index fd46b91..106e662 100755
--- a/precommit/core.d/docker.sh
+++ b/precommit/core.d/docker.sh
@@ -87,8 +87,8 @@ function docker_initialize
 ## @audience     private
 ## @stability    evolving
 ## @replaceable  no
-## @returns      1 if docker is broken
-## @returns      0 if docker is working
+## @return       1 if docker is broken
+## @return       0 if docker is working
 function dockerverify
 {
   declare pathdocker
@@ -557,4 +557,4 @@ function docker_handler
   docker_cleanup
   docker_determine_user
   docker_run_image
-}
\ No newline at end of file
+}

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/core.d/patchfiles.sh
----------------------------------------------------------------------
diff --git a/precommit/core.d/patchfiles.sh b/precommit/core.d/patchfiles.sh
index 7154a58..3b2784d 100755
--- a/precommit/core.d/patchfiles.sh
+++ b/precommit/core.d/patchfiles.sh
@@ -141,7 +141,7 @@ function locate_patch
 ## @stability    stable
 ## @param        log filename
 ## @replaceable  no
-## @returns      $?
+## @return       $?
 function patchfile_verify_zero
 {
   declare logfile=$1

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/smart-apply-patch.sh
----------------------------------------------------------------------
diff --git a/precommit/smart-apply-patch.sh b/precommit/smart-apply-patch.sh
index ee06030..ec46f19 100755
--- a/precommit/smart-apply-patch.sh
+++ b/precommit/smart-apply-patch.sh
@@ -125,7 +125,7 @@ function yetus_usage
 ## @audience     private
 ## @stability    stable
 ## @replaceable  no
-## @params       $@
+## @param        $@
 ## @return       May exit on failure
 function parse_args
 {

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/test-patch.d/bugzilla.sh
----------------------------------------------------------------------
diff --git a/precommit/test-patch.d/bugzilla.sh b/precommit/test-patch.d/bugzilla.sh
index 2ca4395..2077689 100755
--- a/precommit/test-patch.d/bugzilla.sh
+++ b/precommit/test-patch.d/bugzilla.sh
@@ -135,9 +135,9 @@ function bugzilla_locate_patch
 }
 
 ## @description Write the contents of a file to Bugzilla
-## @params filename
+## @param     filename
 ## @stability stable
-## @audience public
+## @audience  public
 function bugzilla_write_comment
 {
   return 0

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/test-patch.d/github.sh
----------------------------------------------------------------------
diff --git a/precommit/test-patch.d/github.sh b/precommit/test-patch.d/github.sh
index 468a228..63ed178 100755
--- a/precommit/test-patch.d/github.sh
+++ b/precommit/test-patch.d/github.sh
@@ -98,7 +98,7 @@ function github_jira_bridge
 
 ## @description given a URL, break it up into github plugin globals
 ## @description this will *override* any personality or yetus defaults
-## @params url
+## @param url
 function github_breakup_url
 {
   declare url=$1
@@ -362,9 +362,9 @@ function github_linecomments
 }
 
 ## @description Write the contents of a file to github
-## @params filename
+## @param     filename
 ## @stability stable
-## @audience public
+## @audience  public
 function github_write_comment
 {
   declare -r commentfile=${1}

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/test-patch.d/jira.sh
----------------------------------------------------------------------
diff --git a/precommit/test-patch.d/jira.sh b/precommit/test-patch.d/jira.sh
index 5f732ad..7f375d0 100755
--- a/precommit/test-patch.d/jira.sh
+++ b/precommit/test-patch.d/jira.sh
@@ -277,10 +277,10 @@ function jira_determine_branch
 }
 
 ## @description Write the contents of a file to JIRA
-## @params filename
+## @param     filename
 ## @stability stable
-## @audience public
-## @returns exit code from posting to jira
+## @audience  public
+## @return    exit code from posting to jira
 function jira_write_comment
 {
   declare -r commentfile=${1}

http://git-wip-us.apache.org/repos/asf/yetus/blob/9c384b51/precommit/test-patch.sh
----------------------------------------------------------------------
diff --git a/precommit/test-patch.sh b/precommit/test-patch.sh
index eae22de..45453c4 100755
--- a/precommit/test-patch.sh
+++ b/precommit/test-patch.sh
@@ -240,11 +240,11 @@ function add_vote_table
 }
 
 ## @description  Report the JVM version of the given directory
-## @stability     stable
+## @stability    stable
 ## @audience     private
 ## @replaceable  yes
-## @params       directory
-## @returns      version
+## @param        directory
+## @return       version
 function report_jvm_version
 {
   #shellcheck disable=SC2016
@@ -276,7 +276,7 @@ function verify_multijdk_test
 
 ## @description  Put the opening environment information at the bottom
 ## @description  of the footer table
-## @stability     stable
+## @stability    stable
 ## @audience     private
 ## @replaceable  yes
 function prepopulate_footer
@@ -420,9 +420,9 @@ function findlargest
 
 ## @description Write the contents of a file to all of the bug systems
 ## @description (so content should avoid special formatting)
-## @params filename
+## @param     filename
 ## @stability stable
-## @audience public
+## @audience  public
 function write_comment
 {
   local -r commentfile=${1}
@@ -441,7 +441,7 @@ function write_comment
 ## @audience    private
 ## @stability   evolving
 ## @replaceable yes
-## @returns     may exit on failure
+## @return      may exit on failure
 function verify_patchdir_still_exists
 {
   local -r commentfile=/tmp/testpatch.$$.${RANDOM}
@@ -604,7 +604,7 @@ function compute_unidiff
 ## @param        command
 ## @param        [..]
 ## @replaceable  no
-## @returns      $?
+## @return       $?
 function echo_and_redirect
 {
   local logfile=$1
@@ -624,8 +624,8 @@ function echo_and_redirect
 ## @stability   stable
 ## @replaceable yes
 ## @param       path
-## @returns     1 - no, path
-## @returns     0 - yes, path - BASEDIR
+## @return      1 - no, path
+## @return      0 - yes, path - BASEDIR
 function relative_dir
 {
   local p=${1#${BASEDIR}}
@@ -716,7 +716,7 @@ function yetus_usage
 ## @audience     private
 ## @stability    stable
 ## @replaceable  no
-## @params       $@
+## @param        $@
 ## @return       May exit on failure
 function parse_args
 {
@@ -915,8 +915,8 @@ function parse_args
 ## @stability    stable
 ## @replaceable  no
 ## @return       directory containing the buildfile. Nothing returned if not found.
-## @params       buildfile
-## @params       directory
+## @param        buildfile
+## @param        directory
 function find_buildfile_dir
 {
   local buildfile=$1
@@ -959,9 +959,9 @@ function find_changed_files
 ## @audience    private
 ## @stability   stable
 ## @replaceable no
-## @params      directory
-## @returns     0 for use
-## @returns     1 for skip
+## @param       directory
+## @return      0 for use
+## @return      1 for skip
 function module_skipdir
 {
   local dir=${1}


Mime
View raw message